## salt-pylint 2020.9.28

=== requirements.txt ===
PyLint
pycodestyle >= 2.4.0
modernize == 0.5

## salt-pylint 2019.6.7

=== debian/changelog ===
salt-pylint (2019.6.7-2) unstable; urgency=medium

  * Rename build dependency pylint3 to pylint (Closes: #944828)
  * Bump Standards-Version to 4.4.1
  * Set Rules-Requires-Root: no

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 18 Nov 2019 09:43:09 +0100

salt-pylint (2019.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches (they are accepted upstream)
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 05 Sep 2019 10:33:00 +0200

salt-pylint (2019.1.11-1) unstable; urgency=medium

  * Initial version. (Closes: #928028)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 26 Apr 2019 12:53:23 +0200

=== debian/control ===
Source: salt-pylint
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pylint (>= 2.2.2-2~) | pylint3,
               python3-all,
               python3-libmodernize,
               python3-pycodestyle (>= 2.4),
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/saltstack/salt-pylint
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/salt-team/salt-pylint
Vcs-Git: https://salsa.debian.org/salt-team/salt-pylint.git

Package: python3-saltpylint
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: PyLint plugins needed in the several SaltStack projects
 This package contains plugins for PyLint which are used in several SaltStack
 projects.

## salt-pylint 2020.9.28

=== debian/changelog ===
salt-pylint (2020.9.28-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper 13

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 29 Sep 2020 10:03:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pylint (>= 2.2.2-2~) | pylint3,
                python3-all,
                python3-libmodernize,
                python3-pycodestyle (>= 2.4),
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/saltstack/salt-pylint
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

export USE_SETUPTOOLS=1

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%salt-pylint-$1.tar.gz%" \
https://github.com/saltstack/salt-pylint/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## salt-pylint 2024.2.5

=== debian/changelog ===
salt-pylint (2024.2.5-0.1) unstable; urgency=medium

  * Non-maintainer Upload
  * Fix watch file for new GitHub API
  * New upstream version 2024.2.5 (Closes: #1064678, #1077959)
  * Switch to pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Thu, 13 Feb 2025 19:36:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,9 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               pylint (>= 2.2.2-2~) | pylint3,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-libmodernize,
-               python3-pycodestyle (>= 2.4),
                python3-setuptools
 Standards-Version: 4.5.0
 Homepage: https://github.com/saltstack/salt-pylint

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%salt-pylint-$1.tar.gz%" \
https://github.com/saltstack/salt-pylint/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
